i2o_pci_alloc
Prev | I2O message devices | Next

## Name

i2o_pci_alloc — Allocate DMA memory, map IO memory for I2O controller

## Synopsis

`int i2o_pci_alloc (` | struct i2o_controller * | c`)`;

## Arguments

`c`

  I2O controller

## Description

Allocate DMA memory for a PCI (or in theory AGP) I2O controller. All IO mappings are also done here. If MTRR is enabled, also do add memory regions here.

Returns 0 on success or negative error code on failure.

Prev | Up | Next
i2o_pci_free | Home | i2o_pci_interrupt